Page({
    data: {
        isAgree: false,
        disabled: true, //是否禁用
        loading: false, //登陆中
        register: null,
        showDialog: false
    },
    async onLoad() {
        if (wx.getStorageSync('isAgree')) this.setData({
            isAgree: wx.getStorageSync('isAgree')
        })
        this.setData({
            devCount: 0,
        })
    },
    /* 修改授权 */
    isAgreeChange() {
        let isAgree = !this.data.isAgree
        this.setData({
            isAgree
        })
        wx.setStorageSync(isAgree)
    },
    /* 查看隐私协议 */
    checkTheAgreement() {
        wx.showLoading({
            title: getApp().globalData.Language.getMapText('加载中...'),
        })
        wx.downloadFile({
            url: 'https://yossys80658.obs.cn-east-2.myhuaweicloud.com/system/%E7%8F%AD%E5%B0%BC%E6%88%88%E8%90%A5%E9%94%80%E5%B9%B3%E5%8F%B0%E5%B0%8F%E7%A8%8B%E5%BA%8F%E9%9A%90%E7%A7%81%E4%BF%9D%E6%8A%A4%E6%8C%87%E5%BC%95.docx',
            success: (res) => {
                wx.openDocument({
                    filePath: res.tempFilePath,
                    success: (s) => {
                        wx.hideLoading();
                    },
                    fail: (err) => {
                        wx.hideLoading();
                        getApp().globalData.Language.showToast('读取失败,请稍后再试')
                    }
                })
            },
            fail: (err) => {
                wx.hideLoading();
                getApp().globalData.Language.showToast('读取失败,请稍后再试')
            }
        })
    },
    /* 微信登录 */
    wechatLogin() {
        if (this.data.loading) return
        if (!this.data.isAgree) {
            this.data.register = this.wechatLogin
            this.setData({
                showDialog: true
            })
            return
        }
        wx.login({
            success(res) {
                if (res.code) {
                    getApp().globalData.http.loginbywechat({
                        wechat_code: res.code,
                        "systemclient": "wechatsaletool"
                    }).then(res => {
                        console.log("微信快捷登录", res)
                        if (res.code == 0) return wx.showToast({
                            title: getApp().globalData.Language.getMapText(res.msg || '未查询到绑定账号'),
                            icon: "none"
                        })
                        require("./modules/login").loginMsg(res);
                        getApp().globalData.remindchangepassword = res.remindchangepassword == 1;
                    })
                } else {
                    console.log('登录失败！' + res.errMsg)
                }
            }
        })
    },
    /* 用户登录 */
    userLogin() {
        if (this.data.loading || this.data.disabled) return;
        if (!this.data.isAgree) {
            this.data.register = this.userLogin
            this.setData({
                showDialog: true
            })
            return
        }
        this.setData({
            loading: true
        })
        this.selectComponent('#login').handleLogin();
    },
    onConfirm() {
        this.setData({
            showDialog: false,
            isAgree: true
        })
        this.data.register()
    },
    todev() {
        if (this.data.devCount == 5) {
            wx.navigateTo({
                url: '/pages/login/developerTools',
            })
            this.data.devCount = 0;
        } else {
            this.data.devCount += 1;
        }
    },
    onShareAppMessage() {}
})